shishi_kdcrep_add_enc_part(3)

NAME
shishi_kdcrep_add_enc_part - API function

SYNOPSIS
#include <shishi.h>

int shishi_kdcrep_add_enc_part(Shishi * handle, Shishi_asn1 kdcrep, Shishi_key * key, int keyusage, Shishi_asn1 enckdcreppart);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_asn1 kdcrep
    KDC-REP to add enc-part field to.

Shishi_key * key
    key used to encrypt enc-part.

int keyusage
    key usage to use, normally SHISHI_KEYUSAGE_ENCASREPPART, SHISHI_KEYUSAGE_ENCTGSREPPART_SESSION_KEY or SHISHI_KEYUSAGE_ENCTGSREPPART_AUTHENTICATOR_KEY.

Shishi_asn1 enckdcreppart
    EncKDCRepPart to add.

DESCRIPTION
Encrypts DER encoded EncKDCRepPart using key and stores it in the KDC-REP.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.